dismatch problem occur when running the widgets sample program Topic is solved

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
lpx
Earned a small fee
Earned a small fee
Posts: 12
Joined: Sun Aug 13, 2017 4:54 am

dismatch problem occur when running the widgets sample program

Post by lpx » Thu Aug 17, 2017 6:32 am

I build four widgets library with parameters "SHARED=0,1 BUILD=release, debug(UNICODE=1)".
I created a new widgets program choosing "enable Unicode" and "use wxwidgets dll", the program builds without error, but when I runs, there's a fatal error:

Mismatch between the program and library build versions detected.
The library used 3.0(wchar_t,compiler with c++ ABI 1008,wx containers, compatible with 2.8),
and your program used 3.0(wchar_t,compiler with c++ ABI 1010,wx containers, compatible with 2.8)

i didn't change my compiler, why is there a mismatch?

lpx
Earned a small fee
Earned a small fee
Posts: 12
Joined: Sun Aug 13, 2017 4:54 am

Re: dismatch problem occur when running the widgets sample program

Post by lpx » Thu Aug 17, 2017 2:12 pm

I'm so sorry that I made a mistake. I thought codeblocks uses the compiler in the PATH, but actually there's a setting in the "compiler setting".
It detected MinGW first then set the default compiler the one in MinGW. later when I compiled the library, I used TDM-GCC, that why there's a mismatch.
I'm sorry for asking such a newbie question.

Post Reply